Skip to navigation

✨ Cancel state backfill jobs

Cancel state backfill jobs for the authenticated user’s active organization. Can cancel a specific job by job_id, all jobs for a specific project by project_id, or all backfill jobs for the entire organization if neither is provided.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Query parameters

job_idintegerOptional
Optional specific job ID to cancel
project_idintegerOptional
Optional project ID to cancel its active jobs

Response

cancelled_countinteger
Number of jobs successfully cancelled
messagestring
Cancellation status message

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error